Al fin, My-Weather-Indicator en el Centro de Software de Ubuntu

La primera vez que intenté que My-Weather-Indicator estuviera disponible en el Centro de software de ubuntu fue hace casi 4 años, casi a finales de 2.011.

Sin embargo, ayer fue uno de esos días en los que de nuevo comienzo a tener esperanza de ver todas las aplicaciones que he ido desarrollando durante estos últimos años, principalmente pensado en Ubuntu pasen a formar parte del Centro de Software de Ubuntu.

Y mi interés por conseguirlo, no es otro que sea fácilmente accesible para todos los nuevos usuarios que llegan a Ubuntu, y a los que enfrentarse al emulador de terminal representa un reto (al menos al principio).

my-weather-indicator_012.png

My-Weather-Indicator en el Centro de Software de Ubuntu

Un poco de historia

Como he comentado en la introducción hace casi cuatro años que subí por primera vez una versión de My-Weather-Indicator al Centro de Software de Ubuntu, después de ello, y tras casi 3 meses comenzó el proceso de revisión, que terminó los primeros meses de 2.013, y a partir de ahí nada…

my-weather-indicator | Pronóstico_010.png

Sin embargo a comienzos de junio de 2.015 la aplicación pasó de nuevo a revisión para que finalmente fuera rechazada aduciendo que el proceso de envío de paquetes quedaba anticuado.

Selección_004.png

Después de esto, me decidí a remitir nuevamente el paquete al Centro de Software de Ubuntu, hace ahora apenas cuatro semanas y de entonces aquí en este tiempo se ha revisado y finalmente llegó el momento de publicar la aplicación en el Centro de Software de Ubuntu.

My-Weather-Indicator

Para aquellos que no conozcáis esta aplicación (aunque debe ser raro si sueles visitar este sitio), disponéis de suficiente y abundante información en este sitio, tan solo tienes que seguir este enlace.

Selección_008.png

Indicar así mismo que también está disponible para Android y espero, que en un futuro, no muy lejano, intercambiar ambas experiencias entre Ubuntu y Android, para mejorar ambas aplicaciones, aprovechando la sinergia.

Un video

A continuación puedes ver un vídeo demostrativo del funcionamiento de la aplicación.

Conclusiones y lo que tiene que venir

En primer lugar, tengo que agradecer y hacer significar el importante cambio que ha experimentado el sistema de revisión de Ubuntu, dado que como he indicado, al fin, en un espacio de tiempo, relativamente corto, una aplicación, (la primera) ha conseguido salir a la luz. Sin embargo, creo que este tiempo, todavía es demasiado grande, creo que se debe reducir a su mínima expresión, algo similar a lo que sucede con el teléfono móvil. De esta forma, los que disfrutamos desarrollando nuestras propias aplicaciones las vemos rápidamente disponibles para todos los usuarios, sin necesidad de recurrir a una PPA, que aunque facilita el trabajo, no termina de ser suficientemente sencillo y transparente para usuarios noveles.

En segundo y último lugar, como te puedes imaginar, el siguiente paso, es ir subiendo de forma progresiva todas las aplicaciones para que estén disponibles a todos los usuarios.

Espero que disfrutes utilizando estas aplicaciones como yo desarrollándolas, y por supuesto, estoy abierto a cualquier sugerencia, opinión, idea, o crítica. Todo es necesario para ir mejorando estas aplicaciones.

  • SAYO

    buenisimo, un PPA menos. gracias

  • amigo

    Enhorabuena !

  • javier

    Al final todo llega, enhorabuena.
    A mi que el centro de software haga su trabajo de revisión me parece bien, todos conocemos tiendas con aplicaciones maliciosas por que quienes tienen que revisar las App no lo hacen.

  • Sr. Paquito

    Felicidades!

    Ya era hora. Una aplicación con una reputación fantástica como esta merecía tener su sitio en el centro de software, y por allí la he visto ya.

    Y ahora que? Quitamos los PPA y fiesta?

  • Javier A.

    Bien! Enhorabuena y adelante!

  • Pedro Delicado Ponce

    Enhorabuena. Es una gran noticia

  • Ricardo Febres Cordero

    Excelente Noticia, Felicitaciones y gracias por el aporte de tus programas tan útiles a la comunidad

  • Luis Cordero

    Muy buena noticia

  • Liher Sanchez

    Mis mas sinceras felicitaciones, es genial que lo hayas conseguido despues de tanto tiempo, un saludo compañero 😀

  • Sergio Chappa

    Es una muy buena noticia. Quiero felicitar y agradecer a Lorenzo por su desinteresado aporte a toda la comunidad Linux/Ubuntu. He usado y uso todas sus aplicaciones y puedo decir que son realmente todas muy prácticas. Enhorabuena!

  • Miguel Os

    Muy buena noticia. Siempre es de las primeras cosas que busco al instalar mi ordenador, mis felicitaciones, porque es una aplicación que funciona perfecto y luce genial.

  • Muy buena noticia. Pero siento comunicar que a mí no me aparece en el centro de software “Ubuntu 15.04”, por otra parte, sería interesante la descripción del proceso de publicación de la aplicación en el Centro de Software de Ubuntu, algo más detallado que lo descrito en el artículo pero.

  • locutus_okupa

    desinstalé la versión del ppa para instalar la oficial que apareció en el centro de software. La instalación demora varios minutos y falla, luego entro y me dice “Comprado el dd-mm-yyyy pero no disponible para su versión de Ubuntu actual”, tengo 14.04 y funcionaba bien desde el ppa, es esto un error del centro de soft que deba reportar? o hay alguna razón para que no permita instalarlo… lo curioso es que lo ofrece, es decir, está en repositorios de 14.04, luego se escusa con que no está disponible para la versión :S vuelvo al ppa mientras, y muchas gracias por el trabajo que haces! saludos

    • locutus_okupa

      al probar por consola me indicó que no tenía una key (E131728675254D99) no sé si fue por esta aplicación o algún otro repo y recién lo veo.. la agregué, instalé desde el ppa, y luego al actualizar me indicó que “¡No se han podido autenticar los siguientes paquetes!” por la versión del centro de soft.. confirmé que instale igualmente y parece estar andando bien… al parecer en estos casos el centro de soft falla, y yendo por terminal se puede forzar la instalación..

      • Sr. Paquito

        Algún problema de autenticación hay. Pongo una captura de lo que se ve al intentar instalarlo con Synaptic, y otra de lo que se ve en la instalación desde terminal.

        Parece que hay algún problemilla.

        • Sr. Paquito

          Me respondo a mi mismo.

          Cuando hacer un mes intenté instalar my-weather-indicator tuve, efectivamente, el problema de claves que se ve en las capturas que subí.

          Hoy, a raíz de la noticia de que touchpad-indicator también está en los repositorios oficiales, me acordé de esto y probé a instalarlo nuevamente.

          Ahora si, se instala sin ningún problema si necesidad de repositorios adicionales con un simple sudo apt-get install my-weather-indicator.

          No tengo ni idea de la causa de aquel error, pero ya funciona todo correctamente.

          Todo rico y abundante.

          Gracias, Atareao.

          • Hola Sr.

            No se cual puede haber sido el problema, pero en este tiempo no he modificado el paquete ni el repositorio.
            Entiendo que debe ser un problema del propio Centro de Software…

            Gracias por la información

            Saludos

          • Sr. Paquito

            No sé. Creo que puede ser un problema derivado de la desinstalación del repositorio y de las claves que se quedan por ahí.

            Lo digo porque cuando te hablé del problema me refería a una máquina virtual donde pruebo las cosas antes de hacerlo en mi sistema.

            Luego de que si funcionara en la máquina virtual, purgué el ppa de mi sistema principal y lo instalé desde el centro de software o, más bien, intenté instalarlo, porque volví a tener el mismo error. Así que arreglé las claves con Y PPA MANAGER y ya funcionó bien.

            Lo digo porque estoy seguro que le ha tenido que pasar a más gente de los que lo hemos contado aquí.

  • Laureano PC

    En el Centro de Software de Ubuntu (14.04) aparece a la izda. como ‘gratuita’ y a la derecha el botón de comprar …

  • Antonio

    A mi no me aparece en el centro de Software. Lastima tiene muy buena pinta. Por cierto un blog genial!.

  • El Centro de Software sigue indicando que la compré hace un mes pero no está disponible para mi distribución, Ubuntu 14.04.

    Un pequeño desastre huracanado.

    Saludos.

  • Miguel

    Perfecto me alero mucho pero no funciona la instalacion estoy de acuerdo como dicen mucho en este hilo la descarga no funciona bien desde el centro de software. Cuando la he instalado desde los ppa funcionaba corretamente espero sque se solucione pronto mientras tanto no la instalo.

  • Márcio Moreira

    Ubuntu 14.04.3

    Estoy usando la versión antigua de my-weather-indicator 0.6.9.1

    Debido a que este nuevo in ubuntu software center no quiere instalar!

  • Márcio Moreira

    Para los que tienen problemas con la instalación my-weather-indicator en ubuntu software center.
    Diposnibilizo del archivo .deb download:
    https://goo.gl/OtEwo7

  • Orfeo

    Acabo de instalar la versión 0.6.9-0extras14.04.2 siguiendo los comandos que indicas en tu post. Soy completamente novato en Linux, pero no he tenido problemas con los tres comandos en la terminal (en mi caso en Linux Mint 17.2) Solo que no conseguía modificar la ubicación. Salía Madrid en cada ocasión, hasta que al cuarto o quinto ensayo, aceptó mi localidad.
    Me parece magnífica la aplicación. Muy completa… y eso que aún no he visto más que lo básico.
    Muchísimas gracias por tu buen hacer.
    Un abrazo.

    • Hola Orfeo,

      Ya me he dado cuenta de este problema, tengo que resolverlo en futuras versiones.

      Saludos.

  • Javier

    Antes que nada una felicitación por esto y un agradecimiento por esta gran aplicación. Es buenísima. Te quería preguntar que pasó con el servicio de Open Weather Map ya que era el que usaba por defecto y dejó de funcionarme hace una semana y media y ahora uso el de Yahoo. No sé si será un problema mío o hay otra razón. Gracias por todo.

    • Hola, se trata de un problema puntual del servicio. Normalmente pasado unos días se resuelve sólo.

      • Javier

        Muchísimas gracias por contestar tan rápido. Tu sitio es muy bueno,. lo empiezo a conocer.

        • Muchas gracias Javier, espero que disfrutes y cualquier sugerencia siempre es bienvenida.

          Gracias y un saludo

  • Sr. Paquito

    Hola, Lorenzo.

    My Weather Incicator lleva unos días sin actualizar la información meteorológica, tanto da que use Open Weather Map como Yahoo, la interrogante no quiere irse.

    Te diré que uso Ubuntu 14.04 y que instalé el indicador desde el Centro de Software.

    Hay algún problema con el indicador, con los servicios meteorológicos o será cosa de mi sistema?

    • Hola Sr. Paquito,

      Estoy casi convencido de que se trata de un problema de la versión de MWI que hay en el Centro de Software de Ubuntu. Hace unos días intenté actualizarla, pero no tengo muy claro si ha tenido éxito, puesto que los responsables no han dado su aprobación a la actualización.
      Llegados a este punto, te pediría que ejecutes MWI desde el terminal a ver que versión es, y que error arroja.
      En cualquier caso, siempre puedes instalar la versión del repositorio PPA:atareao/atareao que está actualizada recientemente.
      Saludos.

      • Sergio Chappa

        Hola Lorenzo, estoy teniendo un problema también yo. No me aparece el widget y en la barra superior sólo muestra un círculo rojo atravesado. Si quiero ver el pronóstico me tira que se cerró inesperadamente. La versión instalada es 0.6.9.1-0extras14.04.2-0ubuntu1 desde el PPA tuyo. Estoy en Ubuntu 14.04.03 LTS.
        Esto me sucede desde hace algunos días, tal vez 1 semana.
        Saludos

        • Hola Sergio,

          Actualiza y comprueba que tienes la última versión, 0.6.9-0extras14.04.3. Si aún así sigue sin funcionarte, inicialo desde el terminal y pega aquí el resultado a ver que problema hay.

          Muchas gracias, hay muchos que tienen este problema, así que necesito que me ayudes para resolverlo.
          Gracias de nuevo.

          • Sergio Chappa

            Lorenzo, no me ha sido posible actualizar a esa versión.
            Te he escrito un email a tu casilla para seguir por esa vía
            Saludos!

      • Sr. Paquito

        Hola Lorenzo.

        Disculpa. He estado desconectado estos días.

        Que orden tengo que dar para lanzar el indicador desde terminal?

        • Hola,
          Con la ayuda de Sergio, creo que ya hemos dado con el error. Si puedes confirmar que MWI funciona correctamente en tu equipo te lo agradecería.
          Saludos y gracias.

          • Sr. Paquito

            Hola, Lorenzo.

            MWI sigue sin funcionar. Sin duda se trata de la versión del Centro de Software, porque la versión de tu repositorio va bien, lo he comprobado.

          • Hola Sr. Paquito,
            El problema reside en la API de Yahoo que la han vuelto a cambiar y además da la impresión que tienden a cobrar por su uso. En este nuevo cambio he conseguido solventarlo sin pagar nada, por ahora, pero tarde o temprano pasará que tendré que retirar este servicio, puesto que al fin y al cabo, pongo mi tiempo para hacer la aplicación y el dinero para el hosting, pero para pagar a Yahoo, va a ser que no.
            En cuanto a lo que comentas del Centro de Software, el problema es otro. A pesar de que he subido varias revisiones de la aplicación, esta no la actualizan, porque no revisan lo que he subido, con lo que estamos como al principio o peor. Antes no estaba y no pasaba nada, pero ahora está pero no funciona. ¿Que es peor?…
            Visto lo visto no voy a subir nada al Centro de Software de Ubuntu, porque al final es un problema para todos, para mi por que he desarrollado un software que no va, y para el usuario que tiene un software que no le funciona.
            En fin, seguiremos con el repositorio personal.

            Gracias por tu colaboración y ayuda, y perdona por el rollo. Un saludo.

          • Sr. Paquito

            Correcto, entonces.

            Volvemos al repositorio de El Atareao.

            Gracias, Lorenzo.

          • Sr. Paquito

            Lo dicho, con tu repositorio todo funcionando correctamente.

            Saludos.

  • GustavoD

    La versión my-weather-indicator_0.7.6-0 actual funciona mal con unity en Ubuntu 14.04.
    El display de la aplicación muestra los valores desfasados del cuadro y otros ni se ven.
    Aun cambiando la configuración todos los modos full, aclock, todos se ven igual y mal.
    aunque debo agregar que hace mas o menos un mes la versión anterior venia dando algunoA problemas de falta de conexión al servicio.

  • LinuxUserArgentina

    Excelente que esté en el Centro de Software!!! Para personas como mi novia es fundamental no tener que usar la terminal. Pregunta, ¿no estás considerando usar paquetes Snap o Flatpak? Me parece que sería muy muy práctico

    • Hola LinuxUserArgentina,

      Si que me he planteado hacer paquetes snap, pero todavía no me he decidido. Quiero ver algunos ejemplos antes de lanzarme a esta nueva aventura.

      Saludos y gracias.

      • LinuxUserArgentina

        No pude encontrar my weather indicator en CSU. Ubuntu 16.04

  • Jesús BL

    No funciona muchas veces en Ubuntu 16.04 de 64 bits, si lo lanzo desde consola me sale este error:
    $ /opt/extras.ubuntu.com/my-weather-indicator/bin/my-weather-indicator

    #####################################################
    System: Linux
    Machine: x86_64
    Node: i7
    Release: 4.4.0-45-generic
    Version: #66-Ubuntu SMP Wed Oct 19 14:12:37 UTC 2016
    Platform: Linux-4.4.0-45-generic-x86_64-with-Ubuntu-16.04-xenial
    My-Weather-Indicator version: 0.8.1-0extras16.04.1
    #####################################################

    ****** Requesting timezone identificacion
    1
    ***** refreshing weather *****

    — Updating data in location 0 —
    ****** Updating weather
    ****** Calculating rawOffset
    ——————————————————-
    ——————————————————-
    Underground Weather Service url: http://api.wunderground.com/api/1c817113a09be6b5/conditions/forecast/lang:EN/pws:1/q/36.721086,-4.4220023.json
    ——————————————————-
    ——————————————————-
    Traceback (most recent call last):
    File “/opt/extras.ubuntu.com/my-weather-indicator/bin/my-weather-indicator”, line 69, in
    mwi = MWI()
    File “/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/myweatherindicator.py”, line 143, in __init__
    self.load_preferences()
    File “/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/myweatherindicator.py”, line 369, in load_preferences
    self.update_weather()
    File “/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/myweatherindicator.py”, line 158, in update_weather
    self.update_menu(i)
    File “/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/myweatherindicator.py”, line 682, in update_menu
    weather = self.weatherservices[index].get_weather()
    File “/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/wundergroundapi.py”, line 225, in get_weather
    weather_data = self._get_weather()
    File “/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/wundergroundapi.py”, line 165, in _get_weather
    gvff(‘low’, i, parsed_json)[‘fahrenheit’],
    TypeError: string indices must be integers

    Ha llegado a funcionar al principio…